# Generated by Django 3.0.4 on 2020-04-04 12:31

import django.core.files.storage
from django.db import migrations, models
import django_countries.fields


class Migration(migrations.Migration):

    dependencies = [
        ('public', '0001_initial'),
        ('registration', '0006_auto_20200404_1405'),
    ]

    operations = [
        migrations.AddField(
            model_name='user',
            name='email_notifications',
            field=models.BooleanField(default=False, help_text='Activate email notifications if someone needs help in my area (~km)', verbose_name=''),
        ),
        migrations.AddField(
            model_name='user',
            name='gdpr_accepted',
            field=models.BooleanField(default=True, verbose_name='Accept Privacy Terms'),
            preserve_default=False,
        ),
        migrations.AddField(
            model_name='user',
            name='service_agreement_accepted',
            field=models.BooleanField(default=True, verbose_name='Accept Service Agreement'),
            preserve_default=False,
        ),
        migrations.AddField(
            model_name='user',
            name='sms_notifications',
            field=models.BooleanField(default=False, help_text='Activate SMS notifications if someone needs help in my area (~km)', verbose_name=''),
        ),
        migrations.AlterField(
            model_name='user',
            name='city',
            field=models.CharField(max_length=255, verbose_name='City'),
        ),
        migrations.AlterField(
            model_name='user',
            name='country',
            field=django_countries.fields.CountryField(max_length=100, verbose_name='Country'),
        ),
        migrations.AlterField(
            model_name='user',
            name='email',
            field=models.EmailField(max_length=254, unique=True, verbose_name='email'),
        ),
        migrations.AlterField(
            model_name='user',
            name='fon',
            field=models.CharField(help_text='Please type in format +49(leave out leading 0) 152337182', max_length=100, verbose_name='fon'),
        ),
        migrations.AlterField(
            model_name='user',
            name='identity_card_back',
            field=models.FileField(help_text='Please provide a selfie together with the   b a c k   site of your id card. Has to be readable.', storage=django.core.files.storage.FileSystemStorage(base_url='/registration/id_card/', location='/Users/doriancantzen/workspace/ownprojects/coronahelp/media/'), upload_to='', verbose_name='Identity Card back site'),
        ),
        migrations.AlterField(
            model_name='user',
            name='identity_card_front',
            field=models.FileField(help_text='Please provide a selfie together with the   f r o n t   site of your id card. Has to be readable.', storage=django.core.files.storage.FileSystemStorage(base_url='/registration/id_card/', location='/Users/doriancantzen/workspace/ownprojects/coronahelp/media/'), upload_to='', verbose_name='Identity Card front site'),
        ),
        migrations.AlterField(
            model_name='user',
            name='identity_number',
            field=models.CharField(max_length=100, verbose_name='Identity Card Number'),
        ),
        migrations.AlterField(
            model_name='user',
            name='languages',
            field=models.ManyToManyField(to='public.Languages', verbose_name='Which languages are you speaking?'),
        ),
        migrations.AlterField(
            model_name='user',
            name='postal_code',
            field=models.IntegerField(null=True, verbose_name='Postal Code'),
        ),
        migrations.AlterField(
            model_name='user',
            name='state',
            field=models.CharField(max_length=255, verbose_name='State'),
        ),
        migrations.AlterField(
            model_name='user',
            name='street_name',
            field=models.CharField(max_length=255, verbose_name='Streetname'),
        ),
        migrations.AlterField(
            model_name='user',
            name='street_number',
            field=models.CharField(max_length=10, verbose_name='House Number'),
        ),
    ]
